2021-01-27 17:24 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002804NetSurfDevelopmentpublic2020-12-30 17:52
Reporterdanrobi 
Assigned ToVincent Sanders 
SeverityfeatureReproducibilityN/A 
StatusassignedResolutionreopened 
PlatformLinuxOSMx LinuxOS Version19.3
Product Version3.10 
Target VersionFixed in Version 
Summary0002804: Close/exit button in global history window
DescriptionPlease consider adding a close/exit button or ctrl+q to close the global history window (shift+ctrl+h) for WM users. Unfortunately, now we need to close the browser in order to close the global history window. Thanks!

WM: Spectrwm
Steps To ReproduceInstall spectrwm

Open netsurf global history window

Now try to close the global history window. You'll have to close netsurf completely in order to close the global history window.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
danrobi

~0002307

danrobi (reporter)

Samething for the downloads window.
Vincent Sanders

~0002310

Vincent Sanders (administrator)

The NetSurf frontend in use must be the gtk version to use this tiling window manager.

The GTK version of netsurf obeys the GTK keyboard input guidelines

https://developer.gnome.org/hig/stable/keyboard-input.html.en

ctrl-q is used to quit the entire application. The correct accelerator to close a window is Alt+F4 which Netsurf GTK windows correctly implement
danrobi

~0002314

danrobi (reporter)

My bad. I forgot to mention that I was running the flatpak version.
danrobi

~0002315

danrobi (reporter)

when im in the global history window. ctrl+q does not quit netsurf. Nothing happens when I hit ctrl+q in the global history window. Same for alt+f4
danrobi

~0002316

danrobi (reporter)

"The NetSurf frontend in use must be the gtk"

So the flatpak version is broken ? How to run the flatpak with gtk frontend ?
+Notes

-Issue History
Date Modified Username Field Change
2020-12-28 18:32 danrobi New Issue
2020-12-29 10:25 danrobi Note Added: 0002307
2020-12-30 12:22 Vincent Sanders Assigned To => Vincent Sanders
2020-12-30 12:22 Vincent Sanders Reproducibility always => N/A
2020-12-30 12:22 Vincent Sanders Status new => resolved
2020-12-30 12:22 Vincent Sanders Resolution open => no change required
2020-12-30 12:22 Vincent Sanders Note Added: 0002310
2020-12-30 17:45 danrobi Status resolved => feedback
2020-12-30 17:45 danrobi Resolution no change required => reopened
2020-12-30 17:45 danrobi Note Added: 0002314
2020-12-30 17:49 danrobi Note Added: 0002315
2020-12-30 17:49 danrobi Status feedback => assigned
2020-12-30 17:52 danrobi Note Added: 0002316
+Issue History